Skip to main content
GET
/
rewards
/
payout-groups
List Payout Groups
curl --request GET \
  --url https://api.paxos.com/v2/rewards/payout-groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/rewards/payout-groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/rewards/payout-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "ledger": "<string>",
      "asset_type": "<string>",
      "rate_id": "<string>",
      "jurisdiction": "<string>",
      "claimer_address": "<string>",
      "balance": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "manager_address": "<string>",
      "destination_address": "<string>",
      "onchain_group_id": "<string>",
      "balance_at": "2023-11-07T05:31:56Z",
      "last_claim_all_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_cursor": "<string>",
  "count": 123
}
OAuth Scope
rewards:read_payout_groups

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

limit
integer<int32>
page_cursor
string
asset_type
string

When set, only payout groups for this asset type (e.g. "USDG", "PYUSD") are returned.

name_prefix
string

When set, only payout groups whose name starts with this prefix are returned (case-insensitive).

claimer_address
string

When set, only payout groups with this claimer address are returned.

ledger
string

When set, only payout groups for this ledger (network) are returned.

jurisdiction
string

When set, only payout groups for this jurisdiction are returned.

onchain_statuses
enum<string>[]

When set, only payout groups with one of these onchain statuses are returned.

Available options:
UNREGISTERED,
PENDING_REGISTRATION,
NEEDS_REREGISTRATION,
ACTIVE,
FAILED_REGISTRATION,
PENDING_DELETION,
FAILED_DELETION,
PENDING_MULTIPLIER_UPDATE,
MULTIPLIER_UPDATE_FAILED,
UNREGISTERED_INSUFFICIENT_BALANCE
min_balance
string

When set, only payout groups with a balance >= this value are returned (in business units, e.g. "1000.50").

Response

200 - application/json

A successful response.

items
object[]

Payout groups in this page of results.

next_page_cursor
string
count
integer<int32>

Total number of payout groups matching the current filters (without pagination).